Update an invoice item
curl --request PATCH \
--url https://api.spacebring.com/billing/invoices/v1/items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoiceItem": {
"product": {
"title": "<string>"
},
"quantity": 4503599627370495,
"unitAmount": 1
}
}
'import requests
url = "https://api.spacebring.com/billing/invoices/v1/items/{id}"
payload = { "invoiceItem": {
"product": { "title": "<string>" },
"quantity": 4503599627370495,
"unitAmount": 1
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoiceItem: {product: {title: '<string>'}, quantity: 4503599627370495, unitAmount: 1}
})
};
fetch('https://api.spacebring.com/billing/invoices/v1/items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "<string>"
}Billing
Update an invoice item
Update an invoice item on a draft invoice.
OAuth
Required scopes:invoicesPATCH
/
billing
/
invoices
/
v1
/
items
/
{id}
Update an invoice item
Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of an invoice item.
Body
application/json
Invoice line item to update.
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I